# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: TaskId.pm,v 1.2 2001/06/27 06:15:06 nagler Exp $
package BivioNet::Agent::TaskId;
use strict;
$BivioNet::Agent::TaskId::VERSION = sprintf('%d.%02d', q$Revision: 1.2 $ =~ /\d+/g);
$_ = $BivioNet::Agent::TaskId::VERSION;

=head1 NAME

BivioNet::Agent::TaskId - demo tasks

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use BivioNet::Agent::TaskId;

=cut

use Bivio::Delegate::SimpleTaskId;
@BivioNet::Agent::TaskId::ISA = ('Bivio::Delegate::SimpleTaskId');

=head1 DESCRIPTION

C<BivioNet::Agent::TaskId> adds VIEW_AS_PLAIN_TEXT task.

=cut

#=IMPORTS

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="get_delegate_info"></a>

=head2 static get_delegate_info() : array_ref

Returns the task declarations.

=cut

sub get_delegate_info {
    my($proto) = @_;
    return $proto->merge_task_info($proto->SUPER::get_delegate_info, [
	[qw(
	    VIEW_AS_PLAIN_TEXT
	    500
	    GENERAL
	    DOCUMENT_READ
	    Action.ViewAsPlainText
	)],
    ]);
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: TaskId.pm,v 1.2 2001/06/27 06:15:06 nagler Exp $

=cut

1;
